org.infinispan.schematic.document

## Class Json.ReservedField

- java.lang.Object
- - org.infinispan.schematic.document.Json.ReservedField

- Enclosing class:
    Json

      public class Json.ReservedField
      extends Object

  A set of field names that are reserved for special formatting of non-standard JSON value types as nested objects.
  Since:
    5.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASE_64`
    `static String` | `BINARY_TYPE`
    `static String` | `CODE`
    `static String` | `DATE`
    `static String` | `INCREMENT`
    `static String` | `OBJECT_ID` The "$oid" field name, used within an `ObjectId` value.
    `static String` | `REGEX_OPTIONS`
    `static String` | `REGEX_PATTERN`
    `static String` | `SCOPE`
    `static String` | `TIMESTAMP`
    `static String` | `UUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Json.ReservedField()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OBJECT_ID

          public static final String OBJECT_ID

      The "$oid" field name, used within an `ObjectId` value. A single ObjectId will be written
      See Also:
        Constant Field Values

    - #### DATE

          public static final String DATE

      See Also:
        Constant Field Values

    - #### TIMESTAMP

          public static final String TIMESTAMP

      See Also:
        Constant Field Values

    - #### INCREMENT

          public static final String INCREMENT

      See Also:
        Constant Field Values

    - #### REGEX_PATTERN

          public static final String REGEX_PATTERN

      See Also:
        Constant Field Values

    - #### REGEX_OPTIONS

          public static final String REGEX_OPTIONS

      See Also:
        Constant Field Values

    - #### BINARY_TYPE

          public static final String BINARY_TYPE

      See Also:
        Constant Field Values

    - #### BASE_64

          public static final String BASE_64

      See Also:
        Constant Field Values

    - #### UUID

          public static final String UUID

      See Also:
        Constant Field Values

    - #### CODE

          public static final String CODE

      See Also:
        Constant Field Values

    - #### SCOPE

          public static final String SCOPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Json.ReservedField

          public Json.ReservedField()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.